Package com.sun.java.help.impl

# Class CustomKit.MouseHandler

java.lang.Object
com.sun.java.help.impl.CustomKit.MouseHandler

All Implemented Interfaces:
  `MouseMotionListener`, `EventListener`

Enclosing class:
  `CustomKit`

public static class CustomKit.MouseHandler extends Object implements MouseMotionListener
Class to watch the associated component and change the cursor when in a hyperlink

## Constructor Summary

Constructors
Constructor
Description
`MouseHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`mouseDragged(MouseEvent e)`
`void`
`mouseMoved(MouseEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MouseHandler

public MouseHandler()

## Method Details

### mouseDragged

public void mouseDragged(MouseEvent e)

Specified by:
  `mouseDragged` in interface `MouseMotionListener`

### mouseMoved

public void mouseMoved(MouseEvent e)

Specified by:
  `mouseMoved` in interface `MouseMotionListener`